installation-guide (20160121ubuntu4) bionic; urgency=medium

  [ Doug Smythies ]
  * Fix typos in phrases where the sentence end dot is doubled.

  [ Frank Heimes ]
  * Update IBM Z/s390x and POWER support timeline.
  * Update supported architectures.
  * Various small changes for s390x-specific details of the install.

  [ Doug Smythies ]
  * Bump version numbers for Bionic.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 25 Apr 2018 09:30:57 -0400

installation-guide (20160121ubuntu3) yakkety; urgency=medium

  [ Steve Langasek ]
  * what-is-ubuntu.xml: long-overdue language updates.  Don't call Ubuntu a
    "desktop operating system", and list all of the currently-supported
    architectures.
  * en/welcome/what-is-debian.xml: drop another outdated reference to Ubuntu
    being a "desktop" system.
  * build/arch-options: add a new 'supports-desktop' condition, which for the
    moment is set only on amd64, i386, and powerpc as the only architectures
    that any flavors are building desktop images for.  This may warrant
    further refinement later.
  * disable various references to desktops when 'supports-desktop' is not
    set.

  [ dann frazier ]
  * List Cavium ThunderX as a supported arm64 platform
  * Make the bios-setup UEFI section apply to arm64 as well; move U-Boot
    specific content into a U-Boot-only section.

  [ Doug Smythies ]
  * Bump version numbers for xenial (currently accurate for yakkety as well).

 -- dann frazier <dann.frazier@canonical.com>  Tue, 07 Jun 2016 13:12:46 -0600

installation-guide (20160121ubuntu2) xenial; urgency=medium

  * en/appendix/chroot-install.xml: Revert Ubuntu delta about setting UTC in
    /etc/default/rcS instead of /etc/adjtime. (LP: #1541532)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Feb 2016 22:15:31 +0100

installation-guide (20160121ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).
    - Drop build-dependency on poxml for now, since we don't ship any
      translations.
    - Add "Ubuntu and Debian" and "What is Ubuntu?" section, text borrowed
      from the Ubuntu web site. Disable the "What is Debian GNU/Linux?"
      section.
    - Build only Ubuntu architectures (amd64, arm64, armhf, i386, powerpc,
      ppc64el, s390x).
    - Direct installation reports to ubuntu-users for now.
    - Document mounting /sys in various places.
    - Update chroot-install guide for language packs; add
      a bit more advice about installing grub.
    - Document our root password and sudo arrangements.
    - Adjust various memory and disk space requirements. Talk about the
      default Ubuntu desktop and Ubuntu tasks rather than Debian tasks.
    - Document network-console/authorized_keys_url feature
    - Document mirror/udeb/components.
    - Document scheme for preseeding the use of CC.archive.ubuntu.com
      mirrors.
    - Document how to override the weak password check.
    - Document preseeding user-setup's home directory encryption facility.
    - Document new simplified partman preseeding.
    - Document partman-auto-lvm/guided_size.
    - Document partman/default_filesystem.
    - Document live-installer/net-image.
    - Improve examples of tasksel/first preseeding to avoid mentioning
      standard, which is installed by default.
    - Document pkgsel/update-policy.
    - Document pkgsel/updatedb.
    - Document apt-setup/security_path.
    - Disable documentation of win32-loader.
    - Document netboot-style USB images. Still mention the hd-media images,
      but they're downplayed since many USB sticks are too small for a full
      Ubuntu ISO image.
    - Retain delta for commented-out OldWorld Mac support because it's easier
      than reverting it; but at this point OldWorld Macs will almost
      certainly never be supported in Ubuntu or Debian.
    - Remove comments about automatic installation methods that have been
      removed from Ubuntu.
    - Document Kickstart installations.
    - Unset supports-floppy-boot for all our architectures.
    - Don't recommend passing http://archive.ubuntu.com/ubuntu to
      debootstrap.
    - Document that i586 processors and i686 without cmov are no longer
      supported.
    - Translate '&debian;' and '&debian-gnu;' xml entities to 'Ubuntu',
      allowing us to significantly reduce the branding delta.
    - Bump names for xenial.
    - Bump kernelversion to 4.3.
    - Disable all the documentation of loadlin, not just half of it.
    - Never enable the "new-arch" status for any Ubuntu archs.
    - Set the archive url dynamically based on the architecture, to cover
      ports.u.c vs. archive.u.c.  LP: #1391019.
    - Revert installation guide changes that say to use /etc/adjtime instead
      of etc/default/rcS; /etc/adjtime is evilbadwrong and not used in
      Ubuntu.
    - Don't include information about tasks that Ubuntu doesn't have.
  * Revert the Debian change to mark "graphical install" as the default, which
    is not a supported option on our d-i based images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Jan 2016 23:14:43 -0800

installation-guide (20160121) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Update scripts and entities to stretch release.
  * Remove the DNS-323 from the list of supported Orion devices.
  * Remove IXP4xx from the list of supported armel platforms.
  * Remove references to platforms that were last supported in Debian 7.
  * Document armel devices and platforms for which support was dropped.
  * Update list of supported QNAP models.
  * Add "MX53 LOCO Board" as alternative name for the MX53 Quick Start
    Board (see #788782).
  * List Seagate FreeAgent DockStar as supported plug computer.
  * Convert supported Kirkwood devices to a list.
  * Added QNAP TS-109, TS-209, TS-409 and TS-409U as supporteded
    models again.

  [ Vincent McIntyre ]
  * Document discrepancy between halt and poweroff. Closes: #789652.

  [ Łukasz Stelmach ]
  * Update information on hashed passwords. Closes: #801810.

  [ Samuel Thibault ]
  * Document the fourth bootline parameter of brltty.
  * Document the zoom support.

  [ Matt Kraai ]
  * Fix Instructions for creating syslinux.cfg according to syslinux 5.00
    change. Closes: #803267.

  [ Holger Wansing ]
  * Documenting that the graphical installer is now the default.

  [ Cyril Brulebois ]
  * Remove alternative build-dep on openjade1.3, thanks to Neil Roeth
    (Closes: #809523).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Jan 2016 20:14:33 +0100

installation-guide (20150528ubuntu1) xenial; urgency=low

  * Merge from Debian unstable; LP: #887663.
    - fixes a wrong init script name for dhcpd.  LP: #666726.
    - fixes a typo in the table of memory requirements.  LP: #1030336.
    - drops obsolete mention of 2.6 kernels in keyboard preseeding.
      LP: #1000354.
    - fixes wrong make-kpkg example invocation.  LP: #1019906.
    - fixes stale link to debian-installer subversion repo.  LP: #1233732.
  * Remaining changes:
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).
    - Drop build-dependency on poxml for now, since we don't ship any
      translations.
    - Add "Ubuntu and Debian" and "What is Ubuntu?" section, text borrowed
      from the Ubuntu web site. Disable the "What is Debian GNU/Linux?"
      section.
    - Build only Ubuntu architectures (amd64, arm64, armhf, i386, powerpc,
      ppc64el, s390x).
    - Direct installation reports to ubuntu-users for now.
    - Document mounting /sys in various places.
    - Update chroot-install guide for language packs; add
      a bit more advice about installing grub.
    - Document our root password and sudo arrangements.
    - Adjust various memory and disk space requirements. Talk about the
      default Ubuntu desktop and Ubuntu tasks rather than Debian tasks.
    - Document network-console/authorized_keys_url feature
    - Document mirror/udeb/components.
    - Document scheme for preseeding the use of CC.archive.ubuntu.com
      mirrors.
    - Document how to override the weak password check.
    - Document preseeding user-setup's home directory encryption facility.
    - Document new simplified partman preseeding.
    - Document partman-auto-lvm/guided_size.
    - Document partman/default_filesystem.
    - Document live-installer/net-image.
    - Improve examples of tasksel/first preseeding to avoid mentioning
      standard, which is installed by default.
    - Document pkgsel/update-policy.
    - Document pkgsel/updatedb.
    - Document apt-setup/security_path.
    - Disable documentation of win32-loader.
    - Document netboot-style USB images. Still mention the hd-media images,
      but they're downplayed since many USB sticks are too small for a full
      Ubuntu ISO image.
    - Retain delta for commented-out OldWorld Mac support because it's easier
      than reverting it; but at this point OldWorld Macs will almost
      certainly never be supported in Ubuntu or Debian.
    - Remove comments about automatic installation methods that have been
      removed from Ubuntu.
    - Document Kickstart installations.
    - Unset supports-floppy-boot for all our architectures.
    - Don't recommend passing http://archive.ubuntu.com/ubuntu to
      debootstrap.
    - Document that i586 processors and i686 without cmov are no longer
      supported.
  * Dropped changes, included in Debian:
    - Update keyboard preseeding documentation for console-setup.
    - Replace 'netcfg/disable_dhcp' with 'netcfg/disable_autoconfig'
      throughout.
    - Add a few more supports-floppy-boot and bootable-usb conditionals.
    - Remove some 2.6 kernel specifics.
    - Remove documentation of
      base-installer/kernel/linux/initramfs-generators
    - Update url-us-keymap
    - Replace 'console-setup' with 'keyboard-config' in preseeding.
  * Dropped changes:
    - Rename armel manual to armhf: there are both armel and armhf manuals
      in Debian, and the armel one contains information only relevant for
      non-armhf systems.
    - Documentation of X preseeding: hardware should now be automatically
      detected, and xserver-xorg no longer uses debconf.  LP: #881984.
    - Don't suppress mention of using a CD as an archive even if the
      system doesn't boot from CD; this is very relevant for s390x, for
      instance.
    - Drop comment about Ubuntu desktop CDs, since this manual is not
      applicable to non-di images at all and we no longer have an Ubuntu
      alternate CD.
    - Drop unnecessary delta to debian/rules which causes e.g. preseed
      file to show the wrong target release name.  LP: #1316242.
  * Translate '&debian;' and '&debian-gnu;' xml entities to 'Ubuntu', allowing
    us to significantly reduce the branding delta.
  * Bump names for xenial.
  * Bump kernelversion to 4.3.
  * Disable all the documentation of loadlin, not just half of it.
  * Never enable the "new-arch" status for any Ubuntu archs.
  * Set the archive url dynamically based on the architecture, to cover
    ports.u.c vs. archive.u.c.  LP: #1391019.
  * Revert installation guide changes that say to use /etc/adjtime instead of
    /etc/default/rcS; /etc/adjtime is evilbadwrong and not used in Ubuntu.
  * Don't include information about tasks that Ubuntu doesn't have.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Dec 2015 01:07:23 -0800

installation-guide (20150528) unstable; urgency=medium

  [ Samuel Thibault ]
  * Give to make-kpkg a "1.0.custom" revision instead of bogus "custom.1.0".
    Closes: #783613.
  * Add an example preseed entry for setting up multi-arch.
    Closes: #785165 . Thanks to Matthew Sweet for the patch.

  [ Christian Perrier ]
  * Fix kernel source compression extension in kernel-baking.xml

  [ Holger Wansing ]
  * Revert to documenting that the text installer is still the default
    installer.
  * Remove mention of kfreebsd as supported archs for Jessie

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 May 2015 00:13:28 +0200

installation-guide (20150423) unstable; urgency=medium

  * A few translation updates.

  [ Samuel Thibault ]
  * Make size needed on / an entity, and bump its max to 310. Thanks Paolo
    Cavallini for the report and Laura Arjona Reina for the investigation!

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Apr 2015 22:24:35 +0200

installation-guide (20150417) unstable; urgency=medium

  [ Stéphane Blondon ]
  * Improve html table aspect.
  * Add missing "warning" icon.

  [ Karsten Merker ]
  * Add a "Debian-provided U-Boot (system firmware) images" subsection
    in the "Pre-Installation Hardware and Operating System Setup" section
    and add a link to the U-Boot images in the "Downloading Files from
    Debian Mirrors" section.
  * Add a "Using pre-built SD-card images with the installer" subsection
    in the "Booting the Installer on ARM" section.
  * Correct the number of supported architectures (arm64 and ppc64el are
    release architectures now).
  * Add a "Pre-built netboot tarball" subsection for armhf in the
    "Booting by TFTP" section.
  * Add a "Console configuration" subsection in the "Booting the Installer
    on ARM" section.
  * Add information that the IXP4xx platform support in Jessie is limited
    to dist-upgrades from Wheezy, that new installations are not supported
    for the IXP4xx platform and that kernel support for it will definitely
    be dropped in Stretch.
  * Add LinkSprite pcDuino3 to the list of supported armhf systems.
  * Change http.debian.net references to httpredir.debian.org.

  [ Holger Wansing ]
  * Add ppc64el bits.

  [ Wookey ]
  * Update the "Supported Hardware" section for arm64.

  [ Steve McIntyre ]
  * Update stats for number of packages per arch, number of DDs and number
    of mailing lists
  * Add mention of BD-ROM like CD/DVD
  * Lots of updates to documentation about EFI
  * Make USB boot a more prominent option for booting the installer on x86
  * Remove the old hdX device names, switch to sdX for disks
  * Various fixes for arm* support
  * Loads of trivial translations.

  [ Samuel Thibault ]
  * Add missing "set -e" in build/Makefile to trap build failures.
    Closes: #782673.
  * Loads of trivial translations.
  * Fix moving the html images when destination already contains a built
    manual. Closes: #782765.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Mar 2015 10:10:34 +0100

installation-guide (20150323) unstable; urgency=medium

  [ Samuel Thibault ]
  * Rephrase documentation of grub-installer/bootdev to make it clear that it
    has to be specified. document that it can be preseeded with "default".
  * Update preseed grub-style partition name from grub1 style (hd0,0) to grub2
    style (hd0,1).
  * Avoid security issues while making an encrypted root password for a
    preseed file. Closes: #775718.
  * Re-enable da language.

  [ Stuart Prescott ]
  * Advise users not to use unetbootin
  * Suggest win32diskimager as an alternativee to unetbootin
  * Explicitly list the netinst, CD-1 and DVD-1 images as "which image should
    I use" is a FAQ.

  [ Karsten Merker ]
  * Update the armhf platform support status.
  * Update the U-Boot USB boot command in the "Booting from a USB stick in
    U-Boot" section as required by newer U-Boot versions.

  [ Holger Wansing ]
  * Make year for copyright an entity.

  [ Stéphane Blondon ]
  * Add CSS for the html version.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Jan 2015 00:05:14 +0100

# For older changelog entries, run 'apt-get changelog installation-guide-powerpc'
